<?xml version="1.0" encoding="utf-8"?>
<extension type="module" version="3.0" client="site" method="upgrade">
  <name>Gallery</name>
    <authorUrl>https://ordasoft.com/joomla-gallery</authorUrl>
    <creationDate>January 2026</creationDate>
    <author>Andrey Kvasnevskiy, Vladislav Prikhodko</author>
    <authorEmail>support@ordasoft.com</authorEmail>
    <copyright> @copyright Andrey Kvasnevskiy-OrdaSoft(akbet@mail.ru); All rights reserved. </copyright>
    <license>http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL</license>
    <version>6.2.2 Pro</version>
    <description> Gallery show module for Gallery component.</description>
    <files>
      <filename module="mod_osgallery">mod_osgallery.php</filename>
        <filename module="index">index.html</filename>
        <filename>mod_osgallery.xml</filename>
        <folder>tmpl</folder>
        <folder>elements</folder>
    </files>
    <config>
        <fields name="params">
            <fieldset name="basic" addfieldpath="/modules/mod_osgallery/elements/">
                <field name="gallery_list" type="gallerylist" default="0" class="inputbox" label="Gallery for show"
                  multiple="false" description="Select the gallery to be show"/>
            </fieldset>
            
            
            <fieldset name="advanced">
                <field name="moduleclass_sfx" type="text" label="COM_MODULES_FIELD_MODULECLASS_SFX_LABEL"
                        description="COM_MODULES_FIELD_MODULECLASS_SFX_DESC" />
            </fieldset>
        </fields>
    </config>
</extension>
